Bug 738873 - [6.3 FEAT] IPv6 support for qetharp tool - s390tools
Summary: [6.3 FEAT] IPv6 support for qetharp tool - s390tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.3
Hardware: s390x
OS: All
high
high
Target Milestone: beta
: 6.3
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 738874
Blocks: 767187 704634 705085
TreeView+ depends on / blocked
 
Reported: 2011-09-16 00:33 UTC by IBM Bug Proxy
Modified: 2012-06-20 14:11 UTC (History)
5 users (show)

Fixed In Version: s390utils-1.8.2-43.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 14:11:39 UTC


Attachments (Terms of Use)
s390-tools-rhel6-qetharp-ipv6-support.patch (17.06 KB, text/plain)
2011-12-09 13:31 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0885 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2012-06-19 20:47:32 UTC
IBM Linux Technology Center 74224 None None None Never

Description IBM Bug Proxy 2011-09-16 00:33:26 UTC
1. Feature Overview:
Feature Id: [74224]
a. Name of Feature: [6.3 FEAT] IPv6 support for qetharp tool - s390tools
b. Feature Description

This feature adds IPv6 support to the qetharp tool for inspection and modification of the ARP cache of OSA cards or HiperSockets (real and virtual) operated in layer 3 mode.
Today it only supports IPv4. 
The code is compatible with IPv4 and IPv6

This feature requests the part for s390tools 
There is a related feature for the kernel part 

2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: purely arch specific code
Affects Kernel Modules: No
Delivery Mechanism: Backport
Category: other
Request Type: Package - Feature from IBM
d. Upstream Acceptance: Accepted
Sponsor Priority P1
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target: ---

3. Business Case
Enhance serviceability and maintenance by adding support to the qetharp tool to inspect and manipulate data for real and virtual Hipersockets for IPv6.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Hans-Georg Markgraf, mgrf@de.ibm.com

Comment 2 John Jarvis 2011-09-28 15:54:39 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 4 IBM Bug Proxy 2011-12-09 13:31:53 UTC
Created attachment 544543 [details]
s390-tools-rhel6-qetharp-ipv6-support.patch


------- Comment on attachment From brueckner@linux.vnet.ibm.com 2011-12-09 08:21 EDT-------


qetharp: support ipv6 for query arp cache for HiperSockets

For HiperSockets (real and GuestLAN) in layer 3 mode, qetharp 
is now able to show IPv6 entries. These entries are only shown
if qetharp is called with -6 or --ipv6 in conjunction with -q.

Comment 5 IBM Bug Proxy 2012-01-23 06:21:04 UTC
------- Comment From mgrf@de.ibm.com 2012-01-23 01:16 EDT-------
For the record:
This feature has a related feature for the kernel part
74223  - RHBZ 738874  [6.3 FEAT] IPv6 support for qetharp tool - kernel

Comment 8 John Jarvis 2012-01-31 15:56:49 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux
team for inclusion in a Red Hat Enterprise Linux minor release.   As a result
of this evaluation, Red Hat has tentatively approved inclusion of this feature
in the next Red Hat Enterprise Linux Update minor release.   While it is a goal
to include this enhancement in the next minor release of Red Hat Enterprise
Linux, the enhancement is not yet committed for inclusion in the next minor
release pending the next phase of actual code integration and successful Red
Hat and partner testing.

Comment 11 IBM Bug Proxy 2012-04-24 15:50:39 UTC
------- Comment From mgrf@de.ibm.com 2012-04-24 15:40 EDT-------
This feature is successful verified on R 6.3 beta 1.
set to verified Thx

Comment 12 errata-xmlrpc 2012-06-20 14:11:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0885.html


Note You need to log in before you can comment on or make changes to this bug.